{@unit RLConsts - VariÃ¡veis de internacionalizaÃ§Ã£o e variÃ¡veis de configuraÃ§Ã£o.
Portado para o Lazarus - Trabalho inicial de Isaac Trindade da Silva contato tioneobrasil@yahoo.com.br dicas4lazarus@yahoo.com.br
Lazarus Ported - initial work by Isaac 07/2009
}

unit RLConsts;

interface

uses
  SysUtils;

const  
  CommercialVersion=3;
  ReleaseVersion   =24;
  CommentVersion   ='(B14) ';

  LazVersion          =0;
  LazReleaseVersion   =3;
  LazCommentVersion   ='(Beta)';

const
  {@const ScreenPPI - ResoluÃ§Ã£o do monitor em pixels por polegada.
   Representa a quantidade de pixels por polegada do vÃ­deo. O valor real varia de monitor para monitor mas,
   para facilitar cÃ¡lculos e tornar os projetos independentes do terminal, essa valor Ã© assumido como sendo 96. :/}
  ScreenPPI=96;

  {@const InchAsMM - Fator de conversÃ£o de polegada para milÃ­metros.
   Este fator Ã© utilizado em diversos pontos para conversÃµes de coordenadas. :/}
  InchAsMM=254/10;

  {@const MMAsPixels - Fator de conversÃ£o de milÃ­metros para pixels de tela.
   @links ScreenPPI, InchAsMM. :/}
  MMAsPixels=ScreenPPI/InchAsMM;

const
  CS_CopyrightStr   ='Copyright Â© 1999-2008 Fortes InformÃ¡tica';
  CS_ProductTitleStr='FortesReport (Open Source)';
  CS_URLStr         ='http://www.fortesreport.com.br';
  CS_AuthorNameStr  ='Ronaldo Moreira, Eduardo Richeli';

var
  {@var LS_PrintingInProgressStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Imprimindo o relatÃ³rio..." :/}
  LS_PrintingInProgressStr:string;
  {@var LS_FilterInProgressStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Salvando o relatÃ³rio..." :/}
  LS_FilterInProgressStr  :string;
  {@var LS_PreparingReportStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Preparando o relatÃ³rio..." :/}
  LS_PreparingReportStr   :string;
  {@var LS_PrinterNotFoundStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Nenhuma impressora encontrada" :/}
  LS_PrinterNotFoundStr   :string;
  {@var LS_NoPathToPrinterStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Caminho invÃ¡lido para a impressora" :/}
  LS_NoPathToPrinterStr   :string;
  {@var LS_LoadDefaultConfigStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "SerÃ¡ carregada a configuraÃ§Ã£o padrÃ£o" :/}
  LS_LoadDefaultConfigStr :string;
  {@var LS_PrinterDriverErrorStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Erro no driver da impressora" :/}
  LS_PrinterDriverErrorStr:string;
  {@var LS_PageStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "PÃ¡gina" :/}
  LS_PageStr              :string;
  {@var LS_PrepareErrorStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Erro durante a preparaÃ§Ã£o do relatÃ³rio" :/}
  LS_PrepareErrorStr      :string;
  {@var LS_PageBreakStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Continua..." :/}
  LS_PageBreakStr         :string;
  {@var LS_PageMendStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "ContinuaÃ§Ã£o" :/}
  LS_PageMendStr          :string;
  {@var LS_ReportEndStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Fim" :/}
  LS_ReportEndStr         :string;
  {@var LS_FileNotFoundStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Arquivo nÃ£o encontrado" :/}
  LS_FileNotFoundStr      :string;
  {@var LS_FileNameStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Nome do arquivo" :/}
  LS_FileNameStr          :string;
  {@var LS_AllFileTypesStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Todos os arquivos" :/}
  LS_AllFileTypesStr      :string;
  {@var LS_LoadReportStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Carregar relatÃ³rio" :/}
  LS_LoadReportStr        :string;
  {@var LS_NotFoundStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "NÃ£o encontrado" :/}
  LS_NotFoundStr          :string;
  {@var LS_WaitStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Aguarde..." :/}
  LS_WaitStr              :string;
  {@var LS_FinishedStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "ConcluÃ­do" :/}
  LS_FinishedStr          :string;
  {@var LS_CancelStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Cancelar" :/}
  LS_CancelStr            :string;
  {@var LS_CloseStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Fechar" :/}
  LS_CloseStr             :string;
  {@var LS_SaveStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Salvar" :/}
  LS_SaveStr              :string;
  {@var LS_SendStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Enviar" :/}
  LS_SendStr              :string;
  {@var LS_PrintStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Imprimir" :/}
  LS_PrintStr             :string;
  {@var LS_AboutTheStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Sobre o" :/}
  LS_AboutTheStr          :string;
  {@var LS_PreviewStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "PrÃ©-visualizaÃ§Ã£o" :/}
  LS_PreviewStr           :string;
  {@var LS_OfStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "de" :/}
  LS_OfStr                :string;
  {@var LS_ZoomStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Zoom" :/}
  LS_ZoomStr              :string;
  {@var LS_FirstPageStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Primeira pÃ¡gina" :/}
  LS_FirstPageStr         :string;
  {@var LS_PriorPageStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "PÃ¡gina anterior" :/}
  LS_PriorPageStr         :string;
  {@var LS_NextPageStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "PrÃ³xima pÃ¡gina" :/}
  LS_NextPageStr          :string;
  {@var LS_LastPageStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Ãltima pÃ¡gina" :/}
  LS_LastPageStr          :string;
  {@var LS_EntirePageStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "PÃ¡gina inteira" :/}
  LS_EntirePageStr        :string;
  {@var LS_EntireWidthStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Largura da pÃ¡gina" :/}
  LS_EntireWidthStr       :string;
  {@var LS_MultiplePagesStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "VÃ¡rias pÃ¡ginas" :/}
  LS_MultiplePagesStr     :string;
  {@var LS_ConfigPrinterStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Configurar impressora" :/}
  LS_ConfigPrinterStr     :string;
  {@var LS_SaveToFileStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Salvar em disco" :/}
  LS_SaveToFileStr        :string;
  {@var LS_SendToStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Enviar para" :/}
  LS_SendToStr            :string;
  {@var LS_PrinterStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Impressora" :/}
  LS_PrinterStr           :string;
  {@var LS_NameStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Nome" :/}
  LS_NameStr              :string;
  {@var LS_PrintToFileStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Imprimir em arquivo" :/}
  LS_PrintToFileStr       :string;
  {@var LS_PrintInBackgroundStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Imprimir em segundo plano" :/}
  LS_PrintInBackgroundStr :string;
  {@var LS_OptionsStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "OpÃ§Ãµes" de filtragem. :/}
  LS_OptionsStr           :string;
  {@var LS_SaveInBackground - VariÃ¡vel de internacionalizaÃ§Ã£o para "Salvar em segundo plano" :/}
  LS_SaveInBackground     :string;
  {@var LS_BackgroundSavingStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Salvar em segundo plano" :/}
  LS_BackgroundSavingStr  :string;
  {@var LS_PageRangeStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Intervalo de pÃ¡ginas" :/}
  LS_PageRangeStr         :string;
  {@var LS_CopyAsImageStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Copiar como imagem" :/}
  LS_CopyAsImageStr       :string;
  {@var LS_RangeFromStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "de" :/}
  LS_RangeFromStr         :string;
  {@var LS_RangeToStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "atÃ©" :/}
  LS_RangeToStr           :string;
  {@var LS_AllStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Tudo" :/}
  LS_AllStr               :string;
  {@var LS_PagesStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "PÃ¡ginas" :/}
  LS_PagesStr             :string;
  {@var LS_SelectionStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "SeleÃ§Ã£o" :/}
  LS_SelectionStr         :string;
  {@var LS_CopiesStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "CÃ³pias" :/}
  LS_CopiesStr            :string;
  {@var LS_NumberOfCopiesStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "NÃºmero de cÃ³pias" :/}
  LS_NumberOfCopiesStr    :string;
  {@var LS_OkStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Ok" :/}
  LS_OkStr                :string;
  {@var LS_DivideScreenStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Dividir a tela" :/}
  LS_DivideScreenStr      :string;
  {@var LS_InvalidNameStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Nome invÃ¡lido" :/}
  LS_InvalidNameStr       :string;
  {@var LS_DuplicateNameStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Nome jÃ¡ utilizado" :/}
  LS_DuplicateNameStr     :string;
  {@var LS_UseFilterStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Usar Filtro" :/}
  LS_UseFilterStr         :string;
  {@var LS_WebPageStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "PÃ¡gina da Web" :/}
  LS_WebPageStr           :string;
  {@var LS_RichFormatStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Formato RichText" :/}
  LS_RichFormatStr        :string;
  {@var LS_PDFFormatStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Documento PDF" :/}
  LS_PDFFormatStr         :string;
  {@var LS_XLSFormatStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Planilha Excel" :/}
  LS_XLSFormatStr         :string;
  {@var LS_AtStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "em" :/}
  LS_AtStr                :string;
  {@var LS_FormStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "FormulÃ¡rio" :/}
  LS_FormStr              :string;
  {@var LS_DefaultStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "PadrÃ£o" :/}
  LS_DefaultStr           :string;
  {@var LS_ColsStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "cols" :/}
  LS_ColsStr              :string;
  {@var LS_ZoomInStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Aumentar o zoom" :/}
  LS_ZoomInStr            :string;
  {@var LS_ZoomOutStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Diminuir o zoom" :/}
  LS_ZoomOutStr           :string;
  {@var LS_CopyStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Copiar" :/}
  LS_CopyStr              :string;
  {@var LS_EditStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Editar" :/}
  LS_EditStr              :string;
  {@var LS_FindCaptionStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Procurar" :/}
  LS_FindCaptionStr       :string;
  {@var LS_TextToFindStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Te&xto" :/}
  LS_TextToFindStr        :string;
  {@var LS_FindNextStr - &VariÃ¡vel de internacionalizaÃ§Ã£o para "PrÃ³xima" :/}
  LS_FindNextStr          :string;
  {@var LS_WholeWordsStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Palavras &inteiras" :/}
  LS_WholeWordsStr        :string;
  {@var LS_MatchCaseStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Diferenciar &maiÃºsculas de minÃºsculas" :/}
  LS_MatchCaseStr         :string;
  {@var LS_DirectionUpStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "A&cima" :/}
  LS_DirectionUpStr       :string;
  {@var LS_DirectionDownStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "A&baixo" :/}
  LS_DirectionDownStr     :string;
  {@var LS_DirectionCaptionStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "DireÃ§Ã£o" :/}
  LS_DirectionCaptionStr  :string;
  {@var LS_ColumnsStr - VariÃ¡vel de internacionalizaÃ§Ã£o para "Colunas". :/}
  LS_ColumnsStr           :string;
  {@var Ls_GetOutlineTextMetrics - VariÃ¡vel de internacionalizaÃ§Ã£o para "GetOutlineTextMetrics erro". :/}
  Ls_GetOutlineTextMetrics: String; //3.24.5
  {@var Ls_Salvar_Como - VariÃ¡vel de internacionalizaÃ§Ã£o para "Salvar como". :/}
  Ls_Salvar_Como          : String; //3.24.5
  {@var Ls_Nome_Arquivo - VariÃ¡vel de internacionalizaÃ§Ã£o para "Nome do Arquivo". :/}
  Ls_Nome_Arquivo         : String; //3.24.5
  {@var Ls_Nome_Arquivo - VariÃ¡vel de internacionalizaÃ§Ã£o para "Propriedades". :/}
  Ls_Propriedades         : String; //3.24.5
  {@var Ls_Nome_Arquivo - VariÃ¡vel de internacionalizaÃ§Ã£o para "Progresso". :/}
  Ls_Progresso            : String; //3.24.6
  {@var Ls_Nome_Arquivo - VariÃ¡vel de internacionalizaÃ§Ã£o para "Aplicar". :/}
  Ls_Aplicar              : String; //3.24.5
  {@var Ls_File_corrupted - VariÃ¡vel de internacionalizaÃ§Ã£o para "Arquivo corrompido". :/}
  Ls_File_corrupted       : String; //3.24.12
  {@var Ls_File_corrupted - VariÃ¡vel de internacionalizaÃ§Ã£o para "VersÃ£o de Arquivo invÃ¡lido". :/}
  Ls_File_version         : String;  //3.24.12
  {@var Ls_Page_setings - VariÃ¡vel de internacionalizaÃ§Ã£o para "ConfiguraÃ§Ã£o da PÃ¡gina". :/}
  Ls_Page_settings         : String;  //3.24.12
  {@var Ls_Page_margins - VariÃ¡vel de internacionalizaÃ§Ã£o para "Margem da PÃ¡gina". :/}
  Ls_Page_margins         : String;  //3.24.12
  {@var Ls_Page_margins_top - VariÃ¡vel de internacionalizaÃ§Ã£o para "Margem Superior". :/}
  Ls_Page_margins_top     : String;  //3.24.12
  {@var Ls_Page_margins_bottom - VariÃ¡vel de internacionalizaÃ§Ã£o para "Margem Inferior". :/}
  Ls_Page_margins_bottom  : String;  //3.24.13
  {@var Ls_Page_margins_rigth - VariÃ¡vel de internacionalizaÃ§Ã£o para "Margem direita". :/}
  Ls_Page_margins_rigth   : String;  //3.24.13
  {@var Ls_Page_left_bottom - VariÃ¡vel de internacionalizaÃ§Ã£o para "Margem equerda". :/}
  Ls_Page_margins_left    : String;  //3.24.13
  {@var Ls_Page_margins_paper - VariÃ¡vel de internacionalizaÃ§Ã£o para "Margem do Papel". :/}
  Ls_Page_margins_paper   : String;  //3.24.13
  {@var Ls_Page_paper - VariÃ¡vel de internacionalizaÃ§Ã£o para "Papel". :/}
  Ls_Page_paper           : String;  //3.24.13
  {@var Ls_Paper_Size - VariÃ¡vel de internacionalizaÃ§Ã£o para "Tamanho do Papel". :/}
  Ls_Paper_Size           : String;  //3.24.13
  {@var Ls_Paper_Width - VariÃ¡vel de internacionalizaÃ§Ã£o para "Largura do Papel". :/}
  Ls_Paper_Size_Width     : String;  //3.24.13
  {@var Ls_Paper_Size_Heigth - VariÃ¡vel de internacionalizaÃ§Ã£o para "Altura do Papel". :/}
  Ls_Paper_Size_Heigth     : String;  //3.24.13
  {@var Ls_Paper_Orientation - VariÃ¡vel de internacionalizaÃ§Ã£o para "OrientaÃ§Ã£o do Papel". :/}
  Ls_Paper_Orientation     : String;  //3.24.13
  {@var Ls_Paper_Orientation_Landscape - VariÃ¡vel de internacionalizaÃ§Ã£o para "OrientaÃ§Ã£o da pÃ¡gina em retrato". :/}
  Ls_Paper_Orientation_Landscape: String;  //3.24.13
  {@var Ls_Paper_Orientation_Portrait - VariÃ¡vel de internacionalizaÃ§Ã£o para "OrientaÃ§Ã£o da pÃ¡gina em paisagem". :/}
  Ls_Paper_Orientation_Portrait: String;  //3.24.13


const
  RLFILEEXT='.rpf';

procedure DetectLocale;
procedure LoadPortugueseStrings;
procedure LoadEnglishStrings;
procedure LoadFrenchStrings;
procedure LoadSpanishStrings;
procedure LoadGermanStrings;

{/@unit}

implementation

procedure LoadPortugueseStrings;
begin
  LS_PrintingInProgressStr:='Imprimindo o relatÃ³rio...';
  LS_FilterInProgressStr  :='Salvando o relatÃ³rio...';
  LS_PreparingReportStr   :='Preparando o relatÃ³rio...';
  LS_PrinterNotFoundStr   :='Nenhuma impressora encontrada';
  LS_NoPathToPrinterStr   :='Caminho invÃ¡lido para a impressora';
  LS_LoadDefaultConfigStr :='SerÃ¡ carregada a configuraÃ§Ã£o padrÃ£o';
  LS_PrinterDriverErrorStr:='Erro no driver da impressora';
  LS_PageStr              :='PÃ¡gina';
  LS_PrepareErrorStr      :='Erro durante a preparaÃ§Ã£o do relatÃ³rio';
  LS_PageBreakStr         :='Continua...';
  LS_PageMendStr          :='ContinuaÃ§Ã£o';
  LS_ReportEndStr         :='Fim';
  LS_FileNotFoundStr      :='Arquivo nÃ£o encontrado';
  LS_FileNameStr          :='Nome do arquivo';
  LS_AllFileTypesStr      :='Todos os arquivos';
  LS_LoadReportStr        :='Carregar relatÃ³rio';
  LS_NotFoundStr          :='NÃ£o encontrado';
  LS_WaitStr              :='Aguarde...';
  LS_FinishedStr          :='ConcluÃ­do';
  LS_CancelStr            :='Cancelar';
  LS_CloseStr             :='Fechar';
  LS_SaveStr              :='Salvar';
  LS_SendStr              :='Enviar';
  LS_PrintStr             :='Imprimir';
  LS_AboutTheStr          :='Sobre o';
  LS_PreviewStr           :='PrÃ©-visualizaÃ§Ã£o';
  LS_OfStr                :='de';
  LS_ZoomStr              :='Zoom';
  LS_FirstPageStr         :='Primeira pÃ¡gina';
  LS_PriorPageStr         :='PÃ¡gina anterior';
  LS_NextPageStr          :='PrÃ³xima pÃ¡gina';
  LS_LastPageStr          :='Ãltima pÃ¡gina';
  LS_EntirePageStr        :='PÃ¡gina inteira';
  LS_EntireWidthStr       :='Largura da pÃ¡gina';
  LS_MultiplePagesStr     :='VÃ¡rias pÃ¡ginas';
  LS_ConfigPrinterStr     :='Configurar impressora';
  LS_SaveToFileStr        :='Salvar em disco';
  LS_SendToStr            :='Enviar para';
  LS_PrinterStr           :='Impressora';
  LS_NameStr              :='Nome';
  LS_PrintToFileStr       :='Imprimir em arquivo';
  LS_PrintInBackgroundStr :='Imprimir em segundo plano';
  LS_SaveInBackground     :='Salvar em segundo plano';
  LS_PageRangeStr         :='Intervalo de pÃ¡ginas';
  LS_RangeFromStr         :='de';
  LS_RangeToStr           :='atÃ©';
  LS_AllStr               :='Tudo';
  LS_PagesStr             :='PÃ¡ginas';
  LS_SelectionStr         :='SeleÃ§Ã£o';
  LS_CopiesStr            :='CÃ³pias';
  LS_NumberOfCopiesStr    :='NÃºmero de cÃ³pias';
  LS_OkStr                :='Ok';
  LS_DivideScreenStr      :='Dividir a tela';
  LS_InvalidNameStr       :='Nome invÃ¡lido';
  LS_DuplicateNameStr     :='Nome jÃ¡ utilizado';
  LS_UseFilterStr         :='Usar Filtro';
  LS_WebPageStr           :='PÃ¡gina da Web';
  LS_RichFormatStr        :='Formato RichText';
  LS_PDFFormatStr         :='Documento PDF';
  LS_XLSFormatStr         :='Planilha Excel';
  LS_AtStr                :='em';
  LS_FormStr              :='FormulÃ¡rio';
  LS_DefaultStr           :='PadrÃ£o';
  LS_ColsStr              :='cols';
  LS_ZoomInStr            :='Aumentar o zoom';
  LS_ZoomOutStr           :='Diminuir o zoom';
  LS_CopyStr              :='Copiar';
  LS_EditStr              :='Editar';
  LS_FindCaptionStr       :='Procurar';
  LS_TextToFindStr        :='Te&xto';
  LS_FindNextStr          :='&PrÃ³xima';
  LS_WholeWordsStr        :='Palavras &inteiras';
  LS_MatchCaseStr         :='Diferenciar &maiÃºsculas de minÃºsculas';
  LS_DirectionUpStr       :='A&cima';
  LS_DirectionDownStr     :='A&baixo';
  LS_DirectionCaptionStr  :='DireÃ§Ã£o';
  Ls_GetOutlineTextMetrics:='Erro no calculo de  fontes'; 
  Ls_Salvar_Como          :='Salvar Como';
  Ls_Nome_Arquivo         :='Nome do Arquivo:';
  LS_OptionsStr           :='OpÃ§Ãµes';
  LS_ColumnsStr           :='Colunas';
  Ls_Propriedades         :='Propriedades';
  Ls_Progresso            :='Progresso';
  Ls_Aplicar              :='Aplicar';
  Ls_File_corrupted       :='Arquivo Corrompido';
  Ls_File_version         :='VersÃ£o de arquivo invÃ¡lido!';
  Ls_Page_settings         :='ConfiguraÃ§Ãµes da pÃ¡gina';
  Ls_Page_margins         :='Margem';
  Ls_Page_margins_top     :='Superior';
  Ls_Page_margins_bottom  :='Inferior';
  Ls_Page_margins_paper   :='Margsss';
  Ls_Page_paper           :='Papel';
  Ls_Paper_Size           :='Tamanho do Papel';
  Ls_Paper_Size_Width     :='Largura';
  Ls_Paper_Size_Heigth    :='Altura';
  Ls_Page_margins_rigth   :='Direita';
  Ls_Page_margins_left    :='Esquerda';
  Ls_Paper_Orientation    :='OrientaÃ§Ã£o';
  Ls_Paper_Orientation_Portrait:= 'Retrato';
  Ls_Paper_Orientation_Landscape:='Paisagem';
end;

procedure LoadEnglishStrings;
begin
  LS_PrintingInProgressStr:='Printing in progress...';
  LS_FilterInProgressStr  :='Saving report...';
  LS_PreparingReportStr   :='Preparing report...';
  LS_PrinterNotFoundStr   :='Printer not found';
  LS_NoPathToPrinterStr   :='Invalid printer path';
  LS_LoadDefaultConfigStr :='Load default configuration';
  LS_PrinterDriverErrorStr:='Printer driver error';
  LS_PageStr              :='Page';
  LS_PrepareErrorStr      :='Error while preparing report';
  LS_PageBreakStr         :='Continues...';
  LS_PageMendStr          :='Continuation';
  LS_ReportEndStr         :='End';
  LS_FileNotFoundStr      :='File not found';
  LS_FileNameStr          :='File Name';
  LS_AllFileTypesStr      :='All files';
  LS_LoadReportStr        :='Load report';
  LS_NotFoundStr          :='Not found';
  LS_WaitStr              :='Wait...';
  LS_FinishedStr          :='Finished';
  LS_CancelStr            :='Cancel';
  LS_CloseStr             :='Close';
  LS_SaveStr              :='Save';
  LS_SendStr              :='Send';
  LS_PrintStr             :='Print';
  LS_AboutTheStr          :='About';
  LS_PreviewStr           :='Preview';
  LS_OfStr                :='of';
  LS_ZoomStr              :='Zoom';
  LS_FirstPageStr         :='First page';
  LS_PriorPageStr         :='Prior page';
  LS_NextPageStr          :='Next page';
  LS_LastPageStr          :='Last page';
  LS_EntirePageStr        :='Entire page';
  LS_EntireWidthStr       :='Entire width';
  LS_MultiplePagesStr     :='Multiple pages';
  LS_ConfigPrinterStr     :='Configure printer';
  LS_SaveToFileStr        :='Save to file';
  LS_SendToStr            :='Send to';
  LS_PrinterStr           :='Printer';
  LS_NameStr              :='Name';
  LS_PrintToFileStr       :='Print to file';
  LS_PrintInBackgroundStr :='Print in background';
  LS_SaveInBackground     :='Save in background';
  LS_PageRangeStr         :='Page range';
  LS_RangeFromStr         :='from';
  LS_RangeToStr           :='to';
  LS_AllStr               :='All';
  LS_PagesStr             :='Pages';
  LS_SelectionStr         :='Selection';
  LS_CopiesStr            :='Copies';
  LS_NumberOfCopiesStr    :='Number of copies';
  LS_OkStr                :='Ok';
  LS_DivideScreenStr      :='Divide the screen';
  LS_InvalidNameStr       :='Invalid name';
  LS_DuplicateNameStr     :='Name already in use';
  LS_UseFilterStr         :='Use filter';
  LS_WebPageStr           :='Web page';
  LS_RichFormatStr        :='RichText Format';
  LS_PDFFormatStr         :='PDF Document';
  LS_XLSFormatStr         :='Excel spreadsheet';
  LS_AtStr                :='at';
  LS_FormStr              :='Form';
  LS_DefaultStr           :='Default';
  LS_ColsStr              :='cols';
  LS_ZoomInStr            :='Increase zoom';
  LS_ZoomOutStr           :='Decrease zoom';
  LS_CopyStr              :='Copy';
  LS_EditStr              :='Edit';
  LS_FindCaptionStr       :='Find';
  LS_TextToFindStr        :='Te&xt';
  LS_FindNextStr          :='Find &Next';
  LS_WholeWordsStr        :='&Whole words only';
  LS_MatchCaseStr         :='&Match Case';
  LS_DirectionUpStr       :='&Up';
  LS_DirectionDownStr     :='&Down';
  LS_DirectionCaptionStr  :='Direction';
  Ls_GetOutlineTextMetrics:='GetOutlineTextMetrics failed';
  Ls_Salvar_Como          :='Save as';
  Ls_Nome_Arquivo         :='File Name:';
  LS_OptionsStr           :='Options';
  LS_ColumnsStr           :='Columns';
  LS_Propriedades         :='Settings';
  Ls_Progresso            :='Progress';
  Ls_Aplicar              :='Apply';
  Ls_File_corrupted       :='File is corrupted!';
  Ls_File_version         :='Invalid file version!';
  Ls_Page_settings         :='Page Configuration';
  Ls_Page_margins         :='Margins';
  Ls_Page_margins_top     :='Top';
  Ls_Page_margins_bottom  :='Bottom';
  Ls_Page_paper           :='Paper';
  Ls_Paper_Size           :='Paper Size';
  Ls_Paper_Size_Width     :='Width';
  Ls_Paper_Size_Heigth    :='Height';
  Ls_Page_margins_rigth   :='Right';
  Ls_Page_margins_left    :='Left';
  Ls_Paper_Orientation    :='Orientation';
  Ls_Paper_Orientation_Portrait:= 'Portrait';
  Ls_Paper_Orientation_Landscape:= 'Landscape';
end;

procedure LoadFrenchStrings;
begin
  LS_PrintingInProgressStr:='Stampando in progresso...';
  LS_FilterInProgressStr  :='Rapporto che salva...';
  LS_PreparingReportStr   :='Rapporto che prepara...';
  LS_PrinterNotFoundStr   :='Stampante non fondato';
  LS_NoPathToPrinterStr   :='Percorso di stampante nullo';
  LS_LoadDefaultConfigStr :='Carico configurazione predefinita';
  LS_PrinterDriverErrorStr:='Errore di conducente di stampante';
  LS_PageStr              :='Pagina';
  LS_PrepareErrorStr      :='Errore mentre preparando rapporto';
  LS_PageBreakStr         :='Continua...';
  LS_PageMendStr          :='A suivre';
  LS_ReportEndStr         :='Fin';
  LS_FileNotFoundStr      :='Fichier non trouvÃ©';
  LS_FileNameStr          :='Nom de Fichier';
  LS_AllFileTypesStr      :='Tous les fichiers';
  LS_LoadReportStr        :='Ouvrir rapport';
  LS_NotFoundStr          :='Non trouvÃ©';
  LS_WaitStr              :='Patientez...';
  LS_FinishedStr          :='Fini';
  LS_CancelStr            :='AnnulÃ©';
  LS_CloseStr             :='FermÃ©';
  LS_SaveStr              :='Sauver';
  LS_SendStr              :='Envoyez';
  LS_PrintStr             :='Imprimer';
  LS_AboutTheStr          :='A propos de';
  LS_PreviewStr           :='AperÃ§u avant impression';
  LS_OfStr                :='de';
  LS_ZoomStr              :='Zoom';
  LS_FirstPageStr         :='PremiÃšre page';
  LS_PriorPageStr         :='Page prÃ©cÃ©dente';
  LS_NextPageStr          :='Page suivante';
  LS_LastPageStr          :='DerniÃšre page';
  LS_EntirePageStr        :='Page entiÃšre';
  LS_EntireWidthStr       :='Pleine largeur';
  LS_MultiplePagesStr     :='Plusieurs pages';
  LS_ConfigPrinterStr     :='Configuration de l''imprimante';
  LS_SaveToFileStr        :='Enregistrer sous';
  LS_SendToStr            :='Envoyez Ã ';
  LS_PrinterStr           :='Imprimante';
  LS_NameStr              :='Nom';
  LS_PrintToFileStr       :='Imprimer dans un fichier';
  LS_PrintInBackgroundStr :='Imprimer dans background';
  LS_SaveInBackground     :='Enregistrer dans background';
  LS_PageRangeStr         :='Intervalle de pages';
  LS_RangeFromStr         :='de';
  LS_RangeToStr           :='Ã ';
  LS_AllStr               :='Tout';
  LS_PagesStr             :='Pages';
  LS_SelectionStr         :='SÃ©lection';
  LS_CopiesStr            :='Copies';
  LS_NumberOfCopiesStr    :='Nombre de copies';
  LS_OkStr                :='Ok';
  LS_DivideScreenStr      :='Dividir a tela';
  LS_InvalidNameStr       :='Nom inadmissible';
  LS_DuplicateNameStr     :='Nom reproduit';
  LS_UseFilterStr         :='Use filter';
  LS_WebPageStr           :='Page de Web';
  LS_RichFormatStr        :='Formato RichText';
  LS_PDFFormatStr         :='Documento PDF';
  LS_XLSFormatStr         :='Excel tableur';
  LS_AtStr                :='Ã ';
  LS_FormStr              :='Formulaire';
  LS_DefaultStr           :='DÃ©faut';
  LS_ColsStr              :='cols';
  LS_ZoomInStr            :='Grandir zoom';
  LS_ZoomOutStr           :='RÃ©duire zoom';
  LS_CopyStr              :='Copier';
  LS_EditStr              :='Edit';
  LS_FindCaptionStr       :='Trouvaille';
  LS_TextToFindStr        :='Te&xte';
  LS_FindNextStr          :='A&prÃšs';
  LS_WholeWordsStr        :='Mots &entiers seulement';
  LS_MatchCaseStr         :='Cas d''allu&mette';
  LS_DirectionUpStr       :='Le &Haut';
  LS_DirectionDownStr     :='Le &bas';
  LS_DirectionCaptionStr  :='Direction';
  Ls_GetOutlineTextMetrics:='error in invalid font calculation';
  Ls_Salvar_Como          :='Sauver as'; //3.24.5
  Ls_Nome_Arquivo         :='Nobre Fichier:';// 3.24b5
  LS_OptionsStr           :='Opciones';      //3.24b5
  LS_ColumnsStr           :='colonne';      //3.25b5
  Ls_Progresso            :='progrÃšs';      //3.25b5
  Ls_Aplicar              :='appliquez';      //3.24.6
end;

procedure LoadSpanishStrings;
begin
  LS_PrintingInProgressStr:='ImpresiÃ³n en marcha...';
  LS_FilterInProgressStr  :='Guardando el informe...';
  LS_PreparingReportStr   :='PreparaciÃ³n del informe...';
  LS_PrinterNotFoundStr   :='Impresora no encontrada';
  LS_NoPathToPrinterStr   :='Caminho invÃ¡lido para a impressora';
  LS_LoadDefaultConfigStr :='Cargar la configuraciÃ³n estÃ¡ndar';
  LS_PrinterDriverErrorStr:='Error en driver de la impresora';
  LS_PageStr              :='PÃ¡gina';
  LS_PrepareErrorStr      :='Un error ocurriÃ³ mientras se preparaba el informe';
  LS_PageBreakStr         :='ContinÃºa...';
  LS_PageMendStr          :='ContinuaciÃ³n';
  LS_ReportEndStr         :='Extremo';
  LS_FileNotFoundStr      :='Archivo no encontrado';
  LS_FileNameStr          :='Nombre del Archivo';
  LS_AllFileTypesStr      :='Todos los archivos';
  LS_LoadReportStr        :='Cargar el informe';
  LS_NotFoundStr          :='No encontrado';
  LS_WaitStr              :='Espera...';
  LS_FinishedStr          :='Finalizado';
  LS_CancelStr            :='Cancelar';
  LS_CloseStr             :='Cerrar';
  LS_SaveStr              :='Guardar';
  LS_SendStr              :='Enviar';
  LS_PrintStr             :='Imprimir';
  LS_AboutTheStr          :='Sobre';
  LS_PreviewStr           :='Ver';
  LS_OfStr                :='de';
  LS_ZoomStr              :='Zoom';
  LS_FirstPageStr         :='Primera pÃ¡gina';
  LS_PriorPageStr         :='PÃ¡gina anterior';
  LS_NextPageStr          :='PÃ¡gina siguiente';
  LS_LastPageStr          :='Ãltima pÃ¡gina';
  LS_EntirePageStr        :='PÃ¡gina entera';
  LS_EntireWidthStr       :='Ancho completo';
  LS_MultiplePagesStr     :='Varias pÃ¡ginas';
  LS_ConfigPrinterStr     :='Configurar la impresora';
  LS_SaveToFileStr        :='Guardar en un archivo';
  LS_SendToStr            :='EnvÃ­ar a';
  LS_PrinterStr           :='Impresora';
  LS_NameStr              :='Nombre';
  LS_PrintToFileStr       :='Imprimir a un archivo';
  LS_PrintInBackgroundStr :='Imprimir en background';
  LS_SaveInBackground     :='Guardar en background';
  LS_PageRangeStr         :='Intervalo de pÃ¡ginas';
  LS_RangeFromStr         :='de';
  LS_RangeToStr           :='a';
  LS_AllStr               :='Todas';
  LS_PagesStr             :='PÃ¡ginas';
  LS_SelectionStr         :='SelecciÃ³n';
  LS_CopiesStr            :='Copias';
  LS_NumberOfCopiesStr    :='NÃºmero de copias';
  LS_OkStr                :='Ok';
  LS_DivideScreenStr      :='Dividir la pantalla';
  LS_InvalidNameStr       :='Nombre invÃ¡lido';
  LS_DuplicateNameStr     :='Nombre ya en uso';
  LS_UseFilterStr         :='Usar Filtro';
  LS_WebPageStr           :='PÃ¡gina Web';
  LS_RichFormatStr        :='Formato RichText';
  LS_PDFFormatStr         :='Documento PDF';
  LS_XLSFormatStr         :='Planilha Excel';
  LS_AtStr                :='en';
  LS_FormStr              :='Formulario';
  LS_DefaultStr           :='EstÃ¡ndar';
  LS_ColsStr              :='cols';
  LS_ZoomInStr            :='Aumentar zoom';
  LS_ZoomOutStr           :='Disminuir zoom';
  LS_CopyStr              :='Copiar';
  LS_EditStr              :='Editar';
  LS_FindCaptionStr       :='Buscar';
  LS_TextToFindStr        :='Te&xto';
  LS_FindNextStr          :='&Siguiente';
  LS_WholeWordsStr        :='Palabras &completas sÃ³lamente';
  LS_MatchCaseStr         :='Diferenciar &mayÃºsculas y minÃºsculas';
  LS_DirectionUpStr       :='En&cima';
  LS_DirectionDownStr     :='&Abajo';
  LS_DirectionCaptionStr  :='DirecciÃ³n';
  Ls_GetOutlineTextMetrics:='error en tamanho de font'; //3.24b5
  Ls_Salvar_Como          :='Guardar en';               //3.24.5
  Ls_Nome_Arquivo         :='Nombre Archivo:';          // 3.24b5
  LS_OptionsStr           :='Opziones';                 // 3.24b5
  LS_ColumnsStr           :='columna';                  // 3.25b5
  Ls_Progresso            :='Progressione';             // 3.25b5
  Ls_Aplicar              :='aplique';                  //3.24b6
end;

procedure LoadItalianStrings;
begin
  LS_PrintingInProgressStr:='Impression du rapport...';
  LS_FilterInProgressStr  :='Sauver le rapport...';
  LS_PreparingReportStr   :='PrÃ©paration du rapport...';
  LS_PrinterNotFoundStr   :='Imprimante non trouvÃ©e';
  LS_NoPathToPrinterStr   :='Invalid printer path';
  LS_LoadDefaultConfigStr :='Chargement de la configuration standard';
  LS_PrinterDriverErrorStr:='Erreur dans le driver d''impression';
  LS_PageStr              :='Page';
  LS_PrepareErrorStr      :='Erreur durant la prÃ©partaion du rapport';
  LS_PageBreakStr         :='Continua...';
  LS_PageMendStr          :='Continuazione';
  LS_ReportEndStr         :='Fine';
  LS_FileNotFoundStr      :='Archivio non fondÃ²';
  LS_FileNameStr          :='Nome di file';
  LS_AllFileTypesStr      :='Tutti archiviano';
  LS_LoadReportStr        :='Rapporto di carico';
  LS_NotFoundStr          :='Non fondato';
  LS_WaitStr              :='Attesa...';
  LS_FinishedStr          :='Finito';
  LS_CancelStr            :='Annulli';
  LS_CloseStr             :='Vicino';
  LS_SaveStr              :='Salvataggio';
  LS_SendStr              :='Spinta dellonda';
  LS_PrintStr             :='Stampa';
  LS_AboutTheStr          :='Circa';
  LS_PreviewStr           :='Anteprima';
  LS_OfStr                :='di';
  LS_ZoomStr              :='Zoom';
  LS_FirstPageStr         :='Prima la pagina';
  LS_PriorPageStr         :='Antecedente la pagina';
  LS_NextPageStr          :='Prossimo pagina';
  LS_LastPageStr          :='Ultima pagina';
  LS_EntirePageStr        :='Pagina intera';
  LS_EntireWidthStr       :='Ampiezza intera';
  LS_MultiplePagesStr     :='Pagine multiple';
  LS_ConfigPrinterStr     :='Configuri stampante';
  LS_SaveToFileStr        :='Salvi archiviare';
  LS_SendToStr            :='Spedisca a';
  LS_PrinterStr           :='Stampante';
  LS_NameStr              :='Nome';
  LS_PrintToFileStr       :='Stampi archiviare';
  LS_PrintInBackgroundStr :='Stampi in sfondo';
  LS_SaveInBackground     :='Salvi in sfondo';
  LS_PageRangeStr         :='Serie di pagina';
  LS_RangeFromStr         :='da';
  LS_RangeToStr           :='a';
  LS_AllStr               :='Tutti';
  LS_PagesStr             :='Pagine';
  LS_SelectionStr         :='Selezione';
  LS_CopiesStr            :='Copie';
  LS_NumberOfCopiesStr    :='Numero di copie';
  LS_OkStr                :='Ok';
  LS_DivideScreenStr      :='Divida lo schermo';
  LS_InvalidNameStr       :='Nome nullo';
  LS_DuplicateNameStr     :='GiÃ  chiami in uso';
  LS_UseFilterStr         :='Filtro di uso';
  LS_WebPageStr           :='Pagina di Web';
  LS_RichFormatStr        :='RichText Format';
  LS_PDFFormatStr         :='PDF Document';
  LS_XLSFormatStr         :='Eccella foglio di calcolo elettronico';
  LS_AtStr                :='a';
  LS_FormStr              :='Forma';
  LS_DefaultStr           :='Contumacia';
  LS_ColsStr              :='cols';
  LS_ZoomInStr            :='Zoom di aumento';
  LS_ZoomOutStr           :='Zoom di calo';
  LS_CopyStr              :='Copia';
  LS_EditStr              :='Compili';
  LS_FindCaptionStr       :='Trouvaille';
  LS_TextToFindStr        :='Testo';
  LS_FindNextStr          :='Trovi Prossimo';
  LS_WholeWordsStr        :='Parole intere solamente';
  LS_MatchCaseStr         :='Accoppi Caso';
  LS_DirectionUpStr       :='Su';
  LS_DirectionDownStr     :='In giÃ¹';
  LS_DirectionCaptionStr  :='Direzione';
  Ls_GetOutlineTextMetrics:='GetOutlineTextMetrics andÃ² a vuoto';
  Ls_Salvar_Como          :='Applichi un unguento su come'; //3.24.5
  Ls_Nome_Arquivo         :='Nome di file:';// 3.24b5
  LS_OptionsStr           :='Opciones';      //3.24b5
  LS_ColumnsStr           :='Colonnas';      //3.25b5
  Ls_Progresso            :='Progresso';     //3.25b5
  Ls_Aplicar              :='Applichi';      //3.24.6
end;

procedure LoadSwedishStrings;
begin
  LS_PrintingInProgressStr:='Das Drucken im Gange...';
  LS_FilterInProgressStr  :='Das Sparen von Bericht  ...';
  LS_PreparingReportStr   :='Das Vorbereiten von Berich...';
  LS_PrinterNotFoundStr   :='Drucker fand nicht';
  LS_NoPathToPrinterStr   :='UngÃŒltiger Druckerpfad';
  LS_LoadDefaultConfigStr :='Laden Sie Standardkonfiguration';
  LS_PrinterDriverErrorStr:='Druckerfahrer Fehler';
  LS_PageStr              :='Seite';
  LS_PrepareErrorStr      :='Fehler, wÃ€hrend das Vorbereiten von Bericht';
  LS_PageBreakStr         :='Setzt fort...';
  LS_PageMendStr          :='Fortsetzung';
  LS_ReportEndStr         :='Ende';
  LS_FileNotFoundStr      :='File fand nicht';
  LS_FileNameStr          :='Akte Name';
  LS_AllFileTypesStr      :='Alles legt ab';
  LS_LoadReportStr        :='Lastbericht';
  LS_NotFoundStr          :='Finden Sie nicht';
  LS_WaitStr              :='Wartezeit...';
  LS_FinishedStr          :='Beendet';
  LS_CancelStr            :='Sagen Sie ab';
  LS_CloseStr             :='Ende';
  LS_SaveStr              :='Ballabwehr';
  LS_SendStr              :='Schicken Sie';
  LS_PrintStr             :='Druck';
  LS_AboutTheStr          :='Ãber';
  LS_PreviewStr           :='Vorschau';
  LS_OfStr                :='von';
  LS_ZoomStr              :='Gummilinse';
  LS_FirstPageStr         :='Erste Seite';
  LS_PriorPageStr         :='Vorausgehende Seite';
  LS_NextPageStr          :='Danach Seite';
  LS_LastPageStr          :='Letzte Seite';
  LS_EntirePageStr        :='Ganze Seite';
  LS_EntireWidthStr       :='Ganze Weite';
  LS_MultiplePagesStr     :='Mehrfache Seiten';
  LS_ConfigPrinterStr     :='Konfigurieren Sie Drucker';
  LS_SaveToFileStr        :='Ballabwehr, um abzulegen';
  LS_SendToStr            :='Schicken Sie dazu';
  LS_PrinterStr           :='Drucker';
  LS_NameStr              :='Name';
  LS_PrintToFileStr       :='Drucker, um abzulegen';
  LS_PrintInBackgroundStr :='Druck in Hintergrund ';
  LS_SaveInBackground     :='Ballabwehr in Hintergrund';
  LS_PageRangeStr         :='Rufen Sie Auswahl aus';
  LS_RangeFromStr         :='von';
  LS_RangeToStr           :='zu';
  LS_AllStr               :='Alles';
  LS_PagesStr             :='Seiten';
  LS_SelectionStr         :='Auswahl';
  LS_CopiesStr            :='Kopien';
  LS_NumberOfCopiesStr    :='Anzahl von Kopien';
  LS_OkStr                :='Ok';
  LS_DivideScreenStr      :='Teilen Sie den Bildschirm';
  LS_InvalidNameStr       :='UngÃŒltiger Name';
  LS_DuplicateNameStr     :='Nennen Sie schon im Gebrauch';
  LS_UseFilterStr         :='Verwendungsfilter';
  LS_WebPageStr           :='Webseite';
  LS_RichFormatStr        :='RichText Format';
  LS_PDFFormatStr         :='PDF Document';
  LS_XLSFormatStr         :='Zeichnen Sie Tabelle aus';
  LS_AtStr                :='bei';
  LS_FormStr              :='Form';
  LS_DefaultStr           :='VersÃ€umnis';
  LS_ColsStr              :='cols';
  LS_ZoomInStr            :='Zunahmegummilinse';
  LS_ZoomOutStr           :='Abnahmengummilinse';
  LS_CopyStr              :='Kopie';
  LS_EditStr              :='Bearbeiten Sie';
  LS_FindCaptionStr       :='Fund';
  LS_TextToFindStr        :='Te&xt';
  LS_FindNextStr          :='Finden Sie danach';
  LS_WholeWordsStr        :='&Ganze WÃ¶rter nur';
  LS_MatchCaseStr         :='&Passen Sie Fall zusammen';
  LS_DirectionUpStr       :='&Auf';
  LS_DirectionDownStr     :='&Entlang';
  LS_DirectionCaptionStr  :='Richtung';
  Ls_GetOutlineTextMetrics:='GetOutlineTextMetrics scheiterte';
  Ls_Salvar_Como          :='Salbe als';
  Ls_Nome_Arquivo         :='Akte Name:';
  LS_OptionsStr           :='MÃ¶glichkeiten';
  LS_ColumnsStr           :='SÃ€ule';
  Ls_Progresso            :='Fortschritt';
  Ls_Aplicar              :='Bewerben Sie sich';
end;

procedure LoadRussianStrings;
begin
  LS_PrintingInProgressStr:='ÐÐµÑÐ°ÑÑ...';
  LS_FilterInProgressStr  :='Ð¡ÐŸÑÑÐ°ÐœÐµÐœÐžÐµ ÐŸÑÑÐµÑÐ°...';
  LS_PreparingReportStr   :='ÐÐŸÐŽÐ³ÐŸÑÐŸÐ²ÐºÐ° ÐŸÑÑÐµÑÐ°...';
  LS_PrinterNotFoundStr   :='ÐÑÐžÐœÑÐµÑ ÐœÐµ ÐœÐ°Ð¹ÐŽÐµÐœ';
  LS_NoPathToPrinterStr   :='Ð?ÐµÐ¿ÑÐ°Ð²ÐžÐ»ÑÐœÑÐ¹ Ð¿ÑÑÑ Ð¿ÑÐžÐœÑÐµÑÐ°';
  LS_LoadDefaultConfigStr :='ÐÐ°Ð³ÑÑÐ·ÐžÑÑ ÐºÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÑ? Ð¿ÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ';
  LS_PrinterDriverErrorStr:='ÐÑÐžÐ±ÐºÐ° ÐŽÑÐ°Ð¹Ð²ÐµÑÐ° Ð¿ÑÐžÐœÑÐµÑÐ°';
  LS_PageStr              :='Ð¡ÑÑÐ°ÐœÐžÑÐ°';
  LS_PrepareErrorStr      :='ÐÑÐžÐ±ÐºÐ° Ð¿ÑÐž Ð¿ÐŸÐŽÐ³ÐŸÑÐŸÐ²ÐºÐµ ÐŸÑÑÐµÑÐ°';
  LS_PageBreakStr         :='ÐÑÐŸÐŽÐŸÐ»Ð¶Ð°ÐµÑÑ?Ñ?...';
  LS_PageMendStr          :='ÐÑÐŸÐŽÐŸÐ»Ð¶ÐµÐœÐžÐµ';
  LS_ReportEndStr         :='ÐÐŸÐœÐµÑ';
  LS_FileNotFoundStr      :='Ð€Ð°Ð¹Ð» ÐœÐµ ÐœÐ°Ð¹ÐŽÐµÐœ';
  LS_FileNameStr          :='ÐÐŒÑ? ÑÐ°Ð¹Ð»Ð°';
  LS_AllFileTypesStr      :='ÐÑ?Ðµ ÑÐ°Ð¹Ð»Ñ';
  LS_LoadReportStr        :='ÐÐ°Ð³ÑÑÐ·ÐžÑÑ ÐŸÑÑÐµÑ';
  LS_NotFoundStr          :='Ð?Ðµ ÐœÐ°Ð¹ÐŽÐµÐœ';
  LS_WaitStr              :='ÐÐŸÐŽÐŸÐ¶ÐŽÐžÑÐµ...';
  LS_FinishedStr          :='ÐÐ°Ð²ÐµÑÑÐµÐœÐŸ';
  LS_CancelStr            :='ÐÑÐŒÐµÐœÐ°';
  LS_CloseStr             :='ÐÐ°ÐºÑÑÑÑ';
  LS_SaveStr              :='Ð¡ÐŸÑÑÐ°ÐœÐžÑÑ';
  LS_SendStr              :='ÐÑÐ¿ÑÐ°Ð²ÐžÑÑ';
  LS_PrintStr             :='ÐÐµÑÐ°ÑÑ';
  LS_AboutTheStr          :='Ð ÐÑÐŸÐ³ÑÐ°ÐŒÐŒÐµ';
  LS_PreviewStr           :='ÐÑÐµÐŽÐ²Ð°ÑÐžÑÐµÐ»ÑÐœÑÐ¹ Ð¿ÑÐŸÑ?ÐŒÐŸÑÑ';
  LS_OfStr                :='ÐžÐ·';
  LS_ZoomStr              :='ÐÐ°ÑÑÐ°Ð±';
  LS_FirstPageStr         :='ÐÐµÑÐ²Ð°Ñ? Ñ?ÑÑÐ°ÐœÐžÑÐ°';
  LS_PriorPageStr         :='ÐÑÐµÐŽÑÐŽÑÑÐ°Ñ? Ñ?ÑÑÐ°ÐœÐžÑÐ°';
  LS_NextPageStr          :='Ð¡Ð»ÐµÐŽÑÑÑÐ°Ñ? Ñ?ÑÑÐ°ÐœÐžÑÐ°';
  LS_LastPageStr          :='ÐÐŸÑ?Ð»ÐµÐŽÐœÑ?Ñ? Ñ?ÑÑÐ°ÐœÐžÑÐ°';
  LS_EntirePageStr        :='ÐÑ?Ñ? Ñ?ÑÑÐ°ÐœÐžÑÐ°';
  LS_EntireWidthStr       :='ÐÑ?Ñ? ÑÐžÑÐžÐœÐ°';
  LS_MultiplePagesStr     :='Ð?ÐµÑ?ÐºÐŸÐ»ÑÐºÐŸ Ñ?ÑÑÐ°ÐœÐžÑ';
  LS_ConfigPrinterStr     :='Ð?Ð°Ñ?ÑÑÐŸÐ¹ÐºÐ° Ð¿ÑÐžÐœÑÐµÑÐ°';
  LS_SaveToFileStr        :='Ð¡ÐŸÑÑÐ°ÐœÐžÑÑ Ð² ÑÐ°Ð¹Ð»';
  LS_SendToStr            :='ÐÑÐ¿ÑÐ°Ð²ÐžÑÑ Ð²';
  LS_PrinterStr           :='ÐÑÐžÐœÑÐµÑ';
  LS_NameStr              :='ÐÐŒÑ?';
  LS_PrintToFileStr       :='ÐÐµÑÐ°ÑÑ Ð² ÑÐ°Ð¹Ð»';
  LS_PrintInBackgroundStr :='ÐÐµÑÐ°ÑÑ Ð² ÑÐŸÐœÐµ';
  LS_SaveInBackground     :='Ð¡ÐŸÑÑÐ°ÐœÐµÐœÐžÐµ Ð² ÑÐŸÐœÐµ';
  LS_PageRangeStr         :='ÐÐžÐ°Ð¿Ð°Ð·ÐŸÐœ Ð¿ÐµÑÐ°ÑÐž';
  LS_RangeFromStr         :='Ñ?';
  LS_RangeToStr           :='Ð¿ÐŸ';
  LS_AllStr               :='ÐÑ?Ðµ';
  LS_PagesStr             :='Ð¡ÑÑÐ°ÐœÐžÑÑ';
  LS_SelectionStr         :='ÐÑÐŽÐµÐ»ÐµÐœÐžÐµ';
  LS_CopiesStr            :='ÐÐŸÐ¿ÐžÐž';
  LS_NumberOfCopiesStr    :='ÐÐŸÐ»-Ð²ÐŸ ÐºÐŸÐ¿ÐžÐ¹';
  LS_OkStr                :='Ð¥ÐŸÑÐŸÑÐŸ';
  LS_DivideScreenStr      :='Ð Ð°Ð·ÐŽÐµÐ»ÐžÑÑ Ñ?ÐºÑÐ°Ðœ';
  LS_InvalidNameStr       :='Ð?ÐµÐ¿ÑÐ°Ð²ÐžÐ»ÑÐœÐŸÐµ ÐžÐŒÑ?';
  LS_DuplicateNameStr     :='ÐÐŒÑ? ÑÐ¶Ðµ ÐžÑ?Ð¿ÐŸÐ»ÑÐ·ÑÐµÑÑ?Ñ?';
  LS_UseFilterStr         :='Ð€ÐžÐ»ÑÑÑ';
  LS_WebPageStr           :='ÐÐµÐ± Ñ?ÑÑÐ°ÐœÐžÑÐ°';
  LS_RichFormatStr        :='RichText Format';
  LS_PDFFormatStr         :='PDF ÐÐŸÐºÑÐŒÐµÐœÑ';
  LS_XLSFormatStr         :='Ð¢Ð°Ð±Ð»ÐžÑÐ° Excel';
  LS_AtStr                :='Ð²';
  LS_FormStr              :='Ð€ÐŸÑÐŒÐ°';
  LS_DefaultStr           :='ÐÐŸ ÑÐŒÐŸÐ»ÑÐ°ÐœÐžÑ';
  LS_ColsStr              :='Ð¡ÑÐŸÐ»Ð±.';
  LS_ZoomInStr            :='Ð£Ð²ÐµÐ»ÐžÑÐžÑÑ';
  LS_ZoomOutStr           :='Ð£ÐŒÐµÐœÑÑÐžÑÑ';
  LS_CopyStr              :='ÐÐŸÐ¿ÐžÑÐŸÐ²Ð°ÑÑ';
  LS_EditStr              :='Ð ÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÑÑ';
  LS_FindCaptionStr       :='Ð?Ð°Ð¹ÑÐž';
  LS_TextToFindStr        :='Ð¢Ðµ&ÐºÑ?Ñ';
  LS_FindNextStr          :='Ð?Ð°Ð¹ÑÐž &ÐŽÐ°Ð»ÑÑÐµ';
  LS_WholeWordsStr        :='&Ð¢ÐŸÐ»ÑÐºÐŸ Ñ?Ð»ÐŸÐ²ÐŸ ÑÐµÐ»ÐžÐºÐŸÐŒ';
  LS_MatchCaseStr         :='&Ð£ÑÐžÑÑÐ²Ð°ÑÑ ÑÐµÐ³ÐžÑ?ÑÑ';
  LS_DirectionUpStr       :='&ÐÐ²ÐµÑÑ';
  LS_DirectionDownStr     :='Ð&ÐœÐžÐ·';
  LS_DirectionCaptionStr  :='Ð?Ð°Ð¿ÑÐ°Ð²Ð»ÐµÐœÐžÐµ';
  Ls_GetOutlineTextMetrics:='GetOutlineTextMetrics Ñ?Ð»ÐŸÐŒÐ°Ð»ÐŸÑ?Ñ';
  Ls_Salvar_Como          :='Ð¡ÐŸÑÑÐ°ÐœÐžÑÑ ÐºÐ°Ðº';
  Ls_Nome_Arquivo         :='ÐÐŒÑ? ÑÐ°Ð¹Ð»Ð°:';
  LS_OptionsStr           :='Ð?Ð°Ñ?ÑÑÐŸÐ¹ÐºÐž';
  LS_ColumnsStr           :='Ð¡ÑÐŸÐ»Ð±ÑÑ';
  LS_Propriedades         :='Ð?Ð°Ñ?ÑÑÐŸÐ¹ÐºÐž';
  Ls_Progresso            :='ÐÑÐŸÐ³ÑÐµÑ?Ñ?';
  Ls_Aplicar              :='ÐÑÐžÐŒÐµÐœÐžÑÑ';
  Ls_File_corrupted       :='Ð€Ð°Ð¹Ð» Ð¿ÐŸÐ²ÑÐµÐ¶ÐŽÐµÐœ!';
  Ls_File_version         :='Ð?ÐµÐ¿ÑÐ°Ð²ÐžÐ»ÑÐœÐ°Ñ? Ð²ÐµÑÑ?ÐžÑ? ÑÐ°Ð¹Ð»Ð°!';
  Ls_Page_settings        :='Ð?Ð°Ñ?ÑÑÐŸÐ¹ÐºÐ° Ñ?ÑÑÐ°ÐœÐžÑÑ';
  Ls_Page_margins         :='ÐÐŸÐ»Ñ?';
  Ls_Page_margins_top     :='ÐÐµÑÑ';
  Ls_Page_margins_bottom  :='Ð?ÐžÑ';
  Ls_Page_paper           :='ÐÑÐŒÐ°Ð³Ð°';
  Ls_Paper_Size           :='Ð Ð°Ð·ÐŒÐµÑ Ð±ÑÐŒÐ°Ð³Ðž';
  Ls_Paper_Size_Width     :='ÐšÐžÑÐžÐœÐ°';
  Ls_Paper_Size_Heigth    :='ÐÑÑ?ÐŸÑÐ°';
  Ls_Page_margins_rigth   :='ÐÑÐ°Ð²ÐŸ';
  Ls_Page_margins_left    :='ÐÐµÐ²ÐŸ';
  Ls_Paper_Orientation    :='ÐÑÐžÐµÐœÑÐ°ÑÐžÑ?';
  Ls_Paper_Orientation_Portrait:= 'ÐÐŸÑÑÑÐµÑÐœÐ°Ñ?';
  Ls_Paper_Orientation_Landscape:= 'ÐÐ°ÐœÐŽÑÐ°ÑÑÐœÐ°Ñ?';
end;

procedure LoadGermanStrings;
begin
  LS_PrintingInProgressStr:='Druckvorgang läuft...';
  LS_FilterInProgressStr  :='Speicher Bericht...';
  LS_PreparingReportStr   :='Bericht aufbereiten...';
  LS_PrinterNotFoundStr   :='Drucker nicht gefunden';
  LS_NoPathToPrinterStr   :='Ungültiger Druckerpfad';
  LS_LoadDefaultConfigStr :='Vorgabeeinstellungen laden';
  LS_PrinterDriverErrorStr:='Druckertreibefehler';
  LS_PageStr              :='Seite';
  LS_PrepareErrorStr      :='Fehler während Druckaufbereitung';
  LS_PageBreakStr         :='Fortgesetzt...';
  LS_PageMendStr          :='Fortsetzung';
  LS_ReportEndStr         :='Ende';
  LS_FileNotFoundStr      :='Datei nicht gefunden';
  LS_FileNameStr          :='Dateiname';
  LS_AllFileTypesStr      :='Alle Dateien';
  LS_LoadReportStr        :='Bericht laden';
  LS_NotFoundStr          :='Nicht gefunden';
  LS_WaitStr              :='Warten...';
  LS_FinishedStr          :='Beendet';
  LS_CancelStr            :='Abbrechen';
  LS_CloseStr             :='Schließen';
  LS_SaveStr              :='Speichern';
  LS_SendStr              :='Senden';
  LS_PrintStr             :='Drucken';
  LS_AboutTheStr          :='Über';
  LS_PreviewStr           :='Vorschau';
  LS_OfStr                :='von';
  LS_ZoomStr              :='Zoom';
  LS_FirstPageStr         :='Erste Seite';
  LS_PriorPageStr         :='Vorherige Seite';
  LS_NextPageStr          :='Nächste Seite';
  LS_LastPageStr          :='Letzte Seite';
  LS_EntirePageStr        :='Ganze Seite';
  LS_EntireWidthStr       :='Seitenbreite';
  LS_MultiplePagesStr     :='Mehrere Seiten';
  LS_ConfigPrinterStr     :='Druckerkonfiguration';
  LS_SaveToFileStr        :='Speichere in Datei';
  LS_SendToStr            :='Sende an';
  LS_PrinterStr           :='Drucker';
  LS_NameStr              :='Name';
  LS_PrintToFileStr       :='Drucken in Datei';
  LS_PrintInBackgroundStr :='Drucken im Hintergrund';
  LS_SaveInBackground     :='Speichern im Hintergrund';
  LS_PageRangeStr         :='Seitenbereich';
  LS_RangeFromStr         :='von';
  LS_RangeToStr           :='bis';
  LS_AllStr               :='Alle';
  LS_PagesStr             :='Seiten';
  LS_SelectionStr         :='Auswahl';
  LS_CopiesStr            :='Kopien';
  LS_NumberOfCopiesStr    :='Kopienanzahl';
  LS_OkStr                :='Ok';
  LS_DivideScreenStr      :='Bildschirm teilen';
  LS_InvalidNameStr       :='Ungültiger Name';
  LS_DuplicateNameStr     :='Name bereits vergeben';
  LS_UseFilterStr         :='Filter aktivieren';
  LS_WebPageStr           :='Webseite';
  LS_RichFormatStr        :='RichText Format';
  LS_PDFFormatStr         :='PDF Dokument';
  LS_XLSFormatStr         :='Excel Tabelle';
  LS_AtStr                :='bei';
  LS_FormStr              :='Form';
  LS_DefaultStr           :='Vorgabe';
  LS_ColsStr              :='Spalten';
  LS_ZoomInStr            :='Vergrößern';
  LS_ZoomOutStr           :='Verkleinern';
  LS_CopyStr              :='Kopieren';
  LS_EditStr              :='Bearbeiten';
  LS_FindCaptionStr       :='Suchen';
  LS_TextToFindStr        :='Te&xt';
  LS_FindNextStr          :='Weiter Suchen';
  LS_WholeWordsStr        :='nur ganze &Wörter';
  LS_MatchCaseStr         :='&Groß- Kleinschrift berücksichtigen';
  LS_DirectionUpStr       :='Auf';
  LS_DirectionDownStr     :='Ab';
  LS_DirectionCaptionStr  :='Richtung';
  Ls_GetOutlineTextMetrics:='GetOutlineTextMetrics failed';
  Ls_Salvar_Como          :='Speichern als';
  Ls_Nome_Arquivo         :='Dateiname:';
  LS_OptionsStr           :='Optionen';
  LS_ColumnsStr           :='Spalten';
  LS_Propriedades         :='Einstellungen';
  Ls_Progresso            :='Fortschritt';
  Ls_Aplicar              :='Übernehmen';
  Ls_File_corrupted       :='Datei ist defekt!';
  Ls_File_version         :='Dateiversion ist falsch!';
  Ls_Page_settings         :='Seiteneinstellungen';
  Ls_Page_margins         :='Ränder';
  Ls_Page_margins_top     :='Oben';
  Ls_Page_margins_bottom  :='Unten';
  Ls_Page_paper           :='Blatt';
  Ls_Paper_Size           :='Blattgröße';
  Ls_Paper_Size_Width     :='Breite';
  Ls_Paper_Size_Heigth    :='Höhe';
  Ls_Page_margins_rigth   :='Rechts';
  Ls_Page_margins_left    :='Links';
  Ls_Paper_Orientation    :='Ausrichtung';
  Ls_Paper_Orientation_Portrait:= 'Hoch';
  Ls_Paper_Orientation_Landscape:= 'Quer';
end;


procedure DetectLocale;
{$ifdef LINUX}
var
  dlct:string;
{$endif}
begin
{$ifdef LINUX}
  dlct:=AnsiUpperCase(Copy(GetEnvironmentVariable('LANG'),1,2));
  if dlct='PT' then
    LoadPortugueseStrings
  else if dlct='EN' then
    LoadEnglishStrings
  else if dlct='ES' then
    LoadSpanishStrings
  else if dlct='FR' then
    LoadFrenchStrings
  else if dlct='IT' then
    LoadItalianStrings
  else if dlct='SW' then
    LoadSwedishStrings
  else if dlct='RU' then
    LoadRussianStrings
  else if dlct='DE' then
    LoadGermanStrings
  else
    LoadEnglishStrings;
{$else}
  case SysLocale.PriLangID of
    $16 {LANG_PORTUGUESE}: LoadPortugueseStrings;
    $09 {LANG_ENGLISH}   : LoadEnglishStrings;
    $0a {LANG_SPANISH}   : LoadSpanishStrings;
    $0c {LANG_FRENCH}    : LoadFrenchStrings;
    $10 {LANG_ITALIAN}   : LoadItalianStrings;
    $1d {LANG_SWEDISH}   : LoadSwedishStrings;
    $19 {LANG_RUSSIAN}   : LoadRussianStrings;
    $07 {LANG_GERMAN}  : LoadGermanStrings;
  else
    LoadEnglishStrings;
  end;
{$endif}
end;

initialization
  DetectLocale;

end.


